#
# spec file for package bdftopcf
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           bdftopcf
Version:        1.1.1
Release:        1.3
Summary:        Font compiler for the X server and font server
License:        MIT
Group:          System/X11/Utilities
URL:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/util/%{name}-%{version}.tar.xz
Source1:        http://xorg.freedesktop.org/releases/individual/util/%{name}-%{version}.tar.xz.sig
Source2:        %{name}.keyring
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(xfont2)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8

%description
bdftopcf is a font compiler for the X server and font server. Fonts
in Portable Compiled Format can be read by any architecture, although
the file is structured to allow one particular architecture to read
them directly without reformatting. This allows fast reading on the
appropriate machine, but the files are still portable (but read more
slowly) on other machines.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} V=1

%install
%make_install

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README.md
%{_bindir}/bdftopcf
%{_mandir}/man1/bdftopcf.1%{?ext_man}

%changelog
* Mon Oct 17 2022 Stefan Dirsch <sndirsch@suse.com>
- fixed download URLs of tarball and signature file in specfile
* Sat Oct 15 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.1.1
  * Update README for gitlab migration
  * Update configure.ac bug URL for gitlab migration
  * Fix spelling/wording issues
  * gitlab CI: add a basic build test
  * Adopt X.Org standard coding style (via x-indent-all.sh)
  * Add .git-blame-ignore-revs to hide whitespace commits from git blame
  * Variable scope reductions as recommended by cppcheck
  * Delete functions identified as unused by cppcheck
  * Make some functions static that aren't called from other files
  * Remove redundant assignment
  * Remove redundant null-pointer check
  * Fix -Wsign-compare warnings
  * Remove unnecessary cast of strlen result in malloc argument
  * Remove weak symbol setup from Atom code
  * Depend on xproto and fsproto that are now used.
* Mon Aug  2 2021 Stefan Dirsch <sndirsch@suse.com>
- switch to libXfont2
* Thu Nov  9 2017 sndirsch@suse.com
- Update to version 1.1
  * This release imports the libXfont 1.x BDF-reading and PCF-writing
    code, as this program is the only known user of that code and
    libXfont 1.x is otherwise unmaintained. No functional difference
    should be apparent, this is just another step towards eliminating
    the old version of libXfont from the world.
* Fri Feb  3 2017 mpluskal@suse.com
- Add gpg signature
- Remove obsolete parts of spec file
- Make building more verbose
* Sat Jan  3 2015 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.0.5:
  This minor maintenance release fixes a couple of issues with the
  usage messages printed for incorrect options, and updates the
  configure scripts to the latest X.Org standards.
* Sat Jan 19 2013 zaitor@opensuse.org
- Update to version 1.0.4:
  + Use remove() instead of unlink() to remove files.
  + Use symbolic names instead of raw integers for stdin & stdout
    fd's.
  + Add -v flag to print version info.
  + Combine usage message strings.
  + Initialize font to 0 values directly instead of via bzero.
  + Adopt X.Org standard coding style (via x-indent.sh).
  + man: remove trailing spaces and tabs.
  + config:
  - Move man pages into their own directory.
  - Replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS.
  - Use AC_PROG_INSTALL now supplied by XORG_DEFAULT_OPTIONS.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split bdftopcf from xorg-x11. Initial version: 1.0.3.
